/*
 * GenericValidators.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef GENERICVALIDATORS_HPP_
#define GENERICVALIDATORS_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Parameters/Validators/DummyValidator.hpp"

/** This validator checks whether the given value is positive.
 */
template <class T>
class PositiveValidator : public DummyValidator<T>
{};

/** This validator checks whether the given value is not zero.
 */
template <class T>
class NotZeroValidator : public DummyValidator<T>
{};

/** This validator checks whether the given value is non-negative.
 */
template <class T>
class NonNegativeValidator : public DummyValidator<T>
{};



#endif /* GENERICVALIDATORS_HPP_ */
